package com.jzdsh.common.database;

import com.jfinal.kit.PropKit;
import com.jfinal.plugin.druid.DruidPlugin;

/**
 * 这是数据的配置,支持多数据库，多数据源
 *
 * @author daqian.ji
 */
public class DbConfig {

    /**
     * 配置名称,如果配置名称留空，表示是默认的数据库
     */
    private String configName;

    /**
     * JDBC链接
     */
    private String jdbcUrl;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 密码
     */
    private String password;

    //region property
    public String getConfigName() {
        return configName;
    }

    public void setConfigName(String configName) {
        this.configName = configName;
    }

    public String getJdbcUrl() {
        return jdbcUrl;
    }

    public void setJdbcUrl(String jdbcUrl) {
        this.jdbcUrl = jdbcUrl;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
    //endregion

    static DbConfig config = null;
    public static DbConfig getNormal(){
        if(null == config) {
            System.out.println(String.format("url:%s username:%s  password:%s",PropKit.get("db.url"), PropKit.get("db.username"), PropKit.get("db.password")));
            new DbConfig("normal", PropKit.get("db.url"), PropKit.get("db.username"), PropKit.get("db.password"));
        }
        return config;
    }


    public DbConfig(String configName,String jdbcUrl,String userName,String password){
        this.configName = configName;
        this.jdbcUrl = jdbcUrl;
        this.userName = userName;
        this.password = password;
    }

    public static DruidPlugin getDruidPlugin(DbConfig config) {
        DruidPlugin druidPlugin = new DruidPlugin(config.getJdbcUrl(), config.getUserName(), config.getPassword());
        return druidPlugin;
    }
}
